# std::experimental::swap(std::experimental::promise)

From cppreference.com
< cpp‎ | experimental‎ | lib extensions‎ | promise

template< class R > void swap( std::experimental::promise<R> &lhs, std::experimental::promise<R> &rhs ) noexcept; |  |

Overloads the `swap` algorithm for std::experimental::promise. Exchanges the state of `lhs` with that of `rhs`. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | promises whose states to swap

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

swap | swaps two promise objects (public member function of `std::promise<R>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/lib_extensions/promise/swap2&oldid=98611"